Oracle Coherence for C++ API
Release 3.6.0.0
E15728-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# AbstractCompositeExtractor Class Reference

`#include <coherence/util/extractor/AbstractCompositeExtractor.hpp>`

Inherits AbstractExtractor.

Inherited by ChainedExtractor, ComparisonValueExtractor, and MultiExtractor.

List of all members.

## Detailed Description

Abstract super class for ValueExtractor implementations that are based on an underlying array of ValueExtractor objects.

Author:
  djl 2008.03.05

## Public Types
typedef spec::Handle | Handle
| AbstractCompositeExtractor Handle definition.
typedef spec::View | View
| AbstractCompositeExtractor View definition.
typedef spec::Holder | Holder
| AbstractCompositeExtractor Holder definition.
## Public Member Functions
virtual void | readExternal (PofReader::Handle hIn)
virtual void | writeExternal (PofWriter::Handle hOut) const
virtual bool | equals (Object::View v) const
| Compare the AbstractCompositeExtractor with another object to determine equality.
virtual size32_t | hashCode () const
| Return a hash code value for the Object. This method is supported for the benefit of hash-based containers. The general contract of `hashCode` is: Whenever it is invoked on the same Object more than once during an execution of an application, the `hashCode` method must consistently return the same value, provided no information used in `equals` comparisons on the object is modified. This value need not remain consistent from one execution of an application to another execution of the same application. If two Objects are equal according to the `equals` method, then calling the `hashCode` method on each of the two Objects must produce the same value. It is not required that if two Objects are unequal according to the `equals` method, then calling the `hashCode` method on each of the two objects must produce distinct results. However, the programmer should be aware that producing distinct results for unequal objects may improve the performance of hash-based containers. The default implementation is identity based. Returns: a hash code value for this Object
virtual void | toStream (std::ostream &out) const
| Output a human-readable description of this Object to the given stream. coherence::lang::operator<<(std::ostream, Object::View) is defined and will call into the toStream method, to output Objects. If a managed String object is desired, the COH_TO_STRING macro can be used to build up a String from streamable contents.
     Object::View vKey   = ...
     Object::View vValue = ...
     std::cout << vKey << " = " << vValue << std::endl;

     String::Handle hs = COH_TO_STRING(vKey << " = " << vValue);
  Parameters:
  | out | the stream used to output the description
virtual ObjectArray::View | getExtractors () const
| Obtain the ValueExtractor array.
## Protected Member Functions
| AbstractCompositeExtractor ()
| Default constructor (necessary for the PortableObject interface).
| AbstractCompositeExtractor (ObjectArray::View vaExtractor)
| Construct a AbstractCompositeExtractor based on the specified ValueExtractor array.
| AbstractCompositeExtractor (ValueExtractor::View vE1, ValueExtractor::View vE2)
| Construct a AbstractCompositeExtractor based on two ValueExtractors.
## Protected Attributes
MemberView< ObjectArray > | m_vaExtractor
| The ValueExtractor array.

## Constructor & Destructor Documentation

AbstractCompositeExtractor | ( | ObjectArray::View | vaExtractor | ) | `[protected]`

Construct a AbstractCompositeExtractor based on the specified ValueExtractor array.

Parameters:

  | vaExtractor | the ValueExtractor array

AbstractCompositeExtractor | ( | ValueExtractor::View | vE1,
|  | ValueExtractor::View | vE2 |
| ) |  |  | `[protected]`

Construct a AbstractCompositeExtractor based on two ValueExtractors.

Parameters:

  | vaE1 | the first ValueExtractor
  | vaE2 | the second ValueExtractor

## Member Function Documentation

virtual bool equals | ( | Object::View | v | ) | const `[virtual]`

Compare the AbstractCompositeExtractor with another object to determine equality.

Two AbstractCompositeExtractor objects are considered equal iff they belong to the same class and their underlying ValueExtractor arrays are deep-equal.

Returns:
  true iff this AbstractCompositeExtractor and the passed object are equivalent

virtual ObjectArray::View getExtractors | ( |  | ) | const `[virtual]`

Obtain the ValueExtractor array.

Returns:
  the ValueExtractor array

The documentation for this class was generated from the following file:

- coherence/util/extractor/AbstractCompositeExtractor.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.